<?php

namespace App\Entities\ConvenioProcedimento;

use App\Utils\Builder;
use App\Utils\Entity;

class ConvenioProcedimentoBuilder implements Builder {
	protected $id;
	protected $id_convenio;
	protected $id_procedimento;
	protected $id_unidade;
	protected $criado_por;
	protected $criado_em;
	protected $alterado_por;
	protected $atualizado_em;
	protected $desativado_por;
	protected $desativado_em;
	
	
	public function setId(int $id): ConvenioProcedimentoBuilder {
		$this->id = $id;
		return $this;
	}
	
	/**
	 * @param mixed $id_convenio
	 */
	public function setId_convenio($id_convenio) {
		$this->id_convenio = $id_convenio;
		return $this;
	}

	/**
	 * @param mixed $id_procedimento
	 */
	public function setId_procedimento($id_procedimento) {
		$this->id_procedimento = $id_procedimento;
		return $this;
	}

	/**
	 * @param mixed $id_unidade
	 */
	public function setId_unidade($id_unidade) {
		$this->id_unidade = $id_unidade;
		return $this;
	}

	/**
	 * @param mixed $criado_por
	 */
	public function setCriado_por($criado_por) {
		$this->criado_por = $criado_por;
		return $this;
	}

	/**
	 * @param mixed $criado_em
	 */
	public function setCriado_em($criado_em) {
		$this->criado_em = $criado_em;
		return $this;
	}

	/**
	 * @param mixed $atualizado_por
	 */
	public function setAlterado_por($alterado_por) {
		$this->alterado_por = $alterado_por;
		return $this;
	}

	/**
	 * @param mixed $atualizado_em
	 */
	public function setAtualizado_em($atualizado_em) {
		$this->atualizado_em = $atualizado_em;
		return $this;
	}

	/**
	 * @param mixed $desativado_por
	 */
	public function setDesativado_por($desativado_por) {
		$this->desativado_por = $desativado_por;
		return $this;
	}

	/**
	 * @param mixed $desativado_em
	 */
	public function setDesativado_em($desativado_em) {
		$this->desativado_em = $desativado_em;
		return $this;
	}
	
	
	public function build(): ConvenioProcedimento {
		$convenioprocedimento = new ConvenioProcedimento ();
		if (isset ( $this->id )) {
			$convenioprocedimento->setId($this->id );
		}
		if (isset ( $this->id_convenio )) {
			$convenioprocedimento->setId_convenio($this->id_convenio);
		}
		if (isset ( $this->id_procedimento )) {
			$convenioprocedimento->setId_procedimento($this->id_procedimento);
		}
		if (isset ( $this->id_unidade )) {
			$convenioprocedimento->setId_unidade($this->id_unidade);			
		}
		if (isset ( $this->criado_por )) {
			$convenioprocedimento->setCriado_por($this->criado_por);
		}
		if (isset ( $this->criado_em )) {
			$convenioprocedimento->setCriado_em($this->criado_em);
		}
		if (isset ( $this->alterado_por )) {
			$convenioprocedimento->setAlterado_por($this->alterado_por);
		}
		if (isset ( $this->atualizado_em )) {
			$convenioprocedimento->setAtualizado_em($this->atualizado_em);
		}
		if (isset ( $this->desativado_por )) {
			$convenioprocedimento->setDesativado_por($this->desativado_por);
		}
		if (isset ( $this->desativado_em )) {
			$convenioprocedimento->setDesativado_em($this->desativado_em);
		}
		return $convenioprocedimento;
	}


}


